#pragma once
#include <vector>

// You should implement
// Вам необходимо реализовать
std::vector<std::vector<int>> solve(int n);

// DO NOT COPY THE CODE BELOW THIS COMMENT TO YOUR SUBMISSION!
// Не копируйте код под этим комментарием в ваше решение!
struct Triangle {
    int i, j, k;

    Triangle() = default;
    Triangle(int i_, int j_, int k_) : i(i_), j(j_), k(k_) {}
};

int compare(const std::vector<Triangle>& left, const std::vector<Triangle>& right);
